Samodejne posodobitve ne uspejo na WordPressu? FTP ne uspe?

WordPressPred kratkim smo imeli odjemalca, ki je lastne strežnike konfiguriral za uporabo z WordPressom. Ko nedavni 3.04 varnost prišlo do posodobitve, bilo je nekaj nujnosti, da bi to različico namestili na vse naše stranke. Vendar pa je ta naročnik vedno zahteval, da WordPress nadgradimo ročno ... postopek, ki ni za srce!

Ne bi dobili tipičnega "ne more pisati datotek”Napaka na tem blogu. Namesto tega smo dobili zaslon s prijavo v FTP. Težava je bila v tem, da smo izpolnili poverilnice FTP in bi še vedno ne uspejo... tokrat na podlagi dobrih mandatov!

Stopil sem v stik z našimi prijatelji v podatkovnih centrih Lifeline v Indiani največji podatkovni center, ker imajo nekaj Apachejev, ki so konfigurirali lastne strežnike. Priskrbeli so mi preprosto rešitev - dodajanje poverilnic FTP neposredno v wp-config.php datoteka za trdo kodiranje poverilnic FTP:

define ('FTP_HOST', 'localhost'); define ('FTP_USER', 'uporabniško ime'); define ('FTP_PASS', 'geslo');

Iz nekega razloga so enake poverilnice, ki niso delovale v obrazcu, popolnoma delovale, ko so bile vstavljene v konfiguracijsko datoteko! Pa tudi WordPress deluje tako, kot bi se počel brez potrebe po FTP ... samo kliknite posodobitev in pojdite!

4 Komentarji

  1. 1

    Napake samodejnega posodabljanja programa WordPress so se pojavile po obnovitvi strežnika in zagonu nove namestitve WordPress. Moja težava je nastala pri Firefoxu in ne v WordPressu - drugi imajo lahko isto težavo, če sta njuno uporabniško ime za FTP in uporabniško ime WordPress enaka mojemu (čeprav z različnimi velikimi črkami in gesli).

    Težava je v tem, da bo Firefox, če imate omogočeno možnost »zapomni si gesla«, samodejno popravil uporabnika / mu poslal obrazec na tisto, za kar meni, da bi moral temeljiti na tem, kaj je shranjeno v upravitelju gesel. V mojem primeru so bile moje poverilnice za WordPress shranjene, poverilnice za FTP pa ne, saj jih je mogoče uporabiti za SSH na spletnem mestu. Ljudje v tej situaciji lahko bodisi začasno onemogočijo »zapomni si gesla« v svojih nastavitvah / možnostih, ko poskušajo uporabiti samodejno posodobitev WordPressa, ali pa v kodo WordPress uporabijo kodo, da popravijo to vedenje.

  2. 2

    Doug,

    Enako težavo sem imel pri domači gradnji Apacheja. Izkazalo se je, da je to posledica neustreznih dovoljenj in lastništva nekaterih datotek in imenikov.

    http://robspencer.net/auto-update-wordpress-without-ftp/

    Zgornja povezava je zagotovila vpogled v to, kako težavo odpraviti brez uporabe poverilnic ftp. Seveda ne priporočam, da svoj celotni imenik uporabnikov zrušite na 775 (in nisem), vendar me je to vodilo v pravo smer.

    Adam

  3. 3

    Za druge, ki iščejo možne rešitve: Drugi bloger je rešil težave s samodejnimi posodobitvami, tako da je svojega gostitelja očitno prisilil v uporabo php5, tako da je v svojo datoteko .httaccess dodal naslednje:

    AddType x-mapp-php5 .php

  4. 4

    Zahvaljujem se vam za izmenjavo znanja, naletel sem na težave s samodejnimi posodobitvami, vendar sem našel edino rešitev, da detektiram vtičnike, nato samodejno posodobim WordPress in nazadnje reagiram na vse vtičnike.

    Ta nasvet je namenjen različnim težavam, vendar je dobro vedeti, kako jih rešiti.

    Lep pozdrav iz Mehike!

Kaj menite?

Ta stran uporablja Akismet za zmanjšanje nezaželene pošte. Preberite, kako se vaš komentar obravnava.